For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Contractors
    • Introduction
    • Invoice adjustments
    • Timesheets
  • Common Use Cases
    • Sign contracts and amendments in bulk
    • Give bonus to contractors
    • Reimburse contractor expenses
  • Endpoints
      • POSTAttach a file to contract
      • GETGet worker invite link
      • GETPreview a contract agreement
      • DELRemove invite
      • GETRetrieve contractor payment dates
      • POSTSend contract to worker
      • POSTSign a contract
LogoLogo
SupportDeel Home
EndpointsContractor Hiring

Preview a contract agreement

GET
/contracts/:contract_id/preview
GET
/rest/v2/contracts/:contract_id/preview
$curl -G https://api.letsdeel.com/rest/v2/contracts/37nex2x/preview \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d templateId=9585241d-2387-4d80-abea-cea4dde4807d
1"<html><head><title>Contract Preview</title></head><body><h1>Independent Contractor Agreement</h1><p>This agreement is made between Acme Corp and John Doe, effective April 15, 2024.</p><h2>Terms and Conditions</h2><ul><li>Contractor shall provide software development services.</li><li>Payment terms: $75/hour, invoiced monthly.</li><li>Contract duration: 6 months.</li></ul><p>By signing below, both parties agree to the terms stated herein.</p><p>Signature: ____________________</p></body></html>"

Returns the rendered HTML content of an IC or EOR contract agreement for a given contract_id. If no templateId is provided, the default or currently assigned template is used. Global Payroll contract types are not supported. Token scopes: contracts:read, worker:read

Was this page helpful?
Previous

Remove invite

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel contract id.

Query parameters

templateIdstringOptionalformat: "uuid"
ID of an existing contract template.

Response

Successful operation.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/